-- MATH.E

global constant e=2.718281828459,
                pi=3.1415926535898,
                inf=1.7E308,
                min=5.0E-324

global function sgn(atom x)
  integer k
  if x<0 then k=-1 elsif x>0 then k=1 else k=0 
  end if return k
end function

global function abs(atom x)
  if x<0 then return -x else return x
  end if 
end function

global function rnd(atom x)       -- rounds a number
  return sgn(x)*floor(abs(x)+.5)
end function

global function exp(atom x)
  if x<-744.4 then return min
  elsif x>709.7 then return inf 
  else return power(e,x)
  end if
end function

global function sqr(atom x)
  return x*x
end function

global function arcsin(atom x)
  return 2*arctan(x/(1+sqrt(1-x*x)))
end function

